<div class="all">
    <section class="">
        <div class="container">
            <div class="page-title-content">
                <!-- <h1 >{{'register' | translate }}</h1> -->
            </div>
        </div>

    </section>
    <div >
        <div class="container " [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }" style="padding-top: 5%;">
            <div class="row align-items-center">
                <div class="col-lg-12 col-md-12">
                    <div class="analysis-form">
                        <div class="container form">
                            <div class="row">
                                
                              
                                <div class="col-12">
                                    <h5 style="color: white;"  [ngStyle]="{'text-align': lang ?  'right': 'left' }"> {{'signin' | translate }}</h5>
                                    <form  [formGroup]="loginForm" (ngSubmit)="login()">
                                        <div class="row">




                                            <div class="col-lg-12 col-md-12">
                                                <div class="form-group">
                                                    <input type="email" class="form-control" id="email"
                                                        placeholder="{{'email' | translate }}" formControlName="email"
                                                        [ngClass]="{ 'is-invalid': submitted && f.email.errors }">
                                                    <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                                                        <div *ngIf="f.email.errors.required && lang"
                                                            style="float: right;">الايميل مطلوب</div>
                                                        <div *ngIf="f.email.errors.required && !lang">Email is required
                                                        </div>
                                                        <div *ngIf="f.email.errors.email && lang" style="float: right;">
                                                            يجب أن يكون البريد الإلكتروني عنوان
                                                            بريد إلكتروني صالح</div>
                                                        <div *ngIf="f.email.errors.email && !lang">Email must be a valid
                                                            email address
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>






                                            <div class="col-lg-12 col-md-12">
                                                <div class="form-group">
                                                    <input type="password" class="form-control" id="password"
                                                        placeholder="{{'password' | translate }}"
                                                        formControlName="password"
                                                        [ngClass]="{ 'is-invalid': submitted && f.password.errors }">
                                                    <div *ngIf="submitted && f.password.errors"
                                                        class="invalid-feedback">
                                                        <div *ngIf="f.password.errors.required && lang"
                                                            style="float: right;">كلمة المرور مطلوبة</div>
                                                        <div *ngIf="f.password.errors.required && !lang">password is
                                                            required</div>
                                                        <div *ngIf=" f.password.errors.minlength && lang "
                                                            style="float: right;">
                                                            كلمة المرور يجب أن تكون أكثر من 7 محارف</div>
                                                        <div *ngIf=" f.password.errors.minlength && !lang ">
                                                            The password must be more than 7 characters long </div>

                                                    </div>
                                                </div>
                                            </div>
                                          


                                        </div>
                                        
                                        <button type="submit" class="default-btn"
                                            [ngStyle]="{'float': lang ?  'right': 'left' }">{{'signin'|translate}}
                                            <i class="fa fa-cog fa-spin" style="color: white;" *ngIf="loading"></i>
                                        </button>
                                    </form>
                                </div>
                               
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>